summaryrefslogtreecommitdiff
path: root/shared/ossp_uuid/uuid-config.in
diff options
context:
space:
mode:
Diffstat (limited to 'shared/ossp_uuid/uuid-config.in')
-rw-r--r--shared/ossp_uuid/uuid-config.in145
1 files changed, 145 insertions, 0 deletions
diff --git a/shared/ossp_uuid/uuid-config.in b/shared/ossp_uuid/uuid-config.in
new file mode 100644
index 00000000..8d2a0635
--- /dev/null
+++ b/shared/ossp_uuid/uuid-config.in
@@ -0,0 +1,145 @@
+#!/bin/sh
+##
+## OSSP uuid - Universally Unique Identifier
+## Copyright (c) 2004-2008 Ralf S. Engelschall <rse@engelschall.com>
+## Copyright (c) 2004-2008 The OSSP Project <http://www.ossp.org/>
+##
+## This file is part of OSSP uuid, a library for the generation
+## of UUIDs which can found at http://www.ossp.org/pkg/lib/uuid/
+##
+## Permission to use, copy, modify, and distribute this software for
+## any purpose with or without fee is hereby granted, provided that
+## the above copyright notice and this permission notice appear in all
+## copies.
+##
+## THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+## WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+## MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+## IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+## CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+## SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+## LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+## USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+## ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+## OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+## OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+## SUCH DAMAGE.
+##
+## uuid-config.in: library build utility
+##
+
+DIFS='
+'
+
+prefix="@prefix@"
+exec_prefix="@exec_prefix@"
+datarootdir="@datarootdir@"
+
+uuid_prefix="$prefix"
+uuid_exec_prefix="$exec_prefix"
+uuid_bindir="@bindir@"
+uuid_libdir="@libdir@"
+uuid_includedir="@includedir@"
+uuid_mandir="@mandir@"
+uuid_datadir="@datadir@"
+uuid_acdir="@datadir@/aclocal"
+uuid_cflags="@CFLAGS@"
+uuid_ldflags="@LDFLAGS@"
+uuid_libs="@LIBS@"
+uuid_version="@UUID_VERSION_STR@"
+
+help=no
+version=no
+
+usage="uuid-config"
+usage="$usage [--help] [--version] [--all]"
+usage="$usage [--prefix] [--exec-prefix] [--bindir] [--libdir] [--includedir] [--mandir] [--datadir] [--acdir]"
+usage="$usage [--cflags] [--ldflags] [--libs]"
+if [ $# -eq 0 ]; then
+ echo "uuid-config:Error: Invalid option" 1>&2
+ echo "uuid-config:Usage: $usage" 1>&2
+ exit 1
+fi
+output=''
+output_extra=''
+all=no
+prev=''
+OIFS="$IFS" IFS="$DIFS"
+for option
+do
+ if [ ".$prev" != . ]; then
+ eval "$prev=\$option"
+ prev=''
+ continue
+ fi
+ case "$option" in
+ -*=*) optarg=`echo "$option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
+ *) optarg='' ;;
+ esac
+ case "$option" in
+ --help|-h)
+ echo "Usage: $usage"
+ exit 0
+ ;;
+ --version|-v)
+ echo "OSSP uuid $uuid_version"
+ exit 0
+ ;;
+ --all)
+ all=yes
+ ;;
+ --prefix)
+ output="$output $uuid_prefix"
+ ;;
+ --exec-prefix)
+ output="$output $uuid_exec_prefix"
+ ;;
+ --bindir)
+ output="$output $uuid_bindir"
+ ;;
+ --libdir)
+ output="$output $uuid_libdir"
+ ;;
+ --includedir)
+ output="$output $uuid_includedir"
+ ;;
+ --mandir)
+ output="$output $uuid_mandir"
+ ;;
+ --datadir)
+ output="$output $uuid_datadir"
+ ;;
+ --acdir)
+ output="$output $uuid_acdir"
+ ;;
+ --cflags)
+ output="$output -I$uuid_includedir"
+ output_extra="$output_extra $uuid_cflags"
+ ;;
+ --ldflags)
+ output="$output -L$uuid_libdir"
+ output_extra="$output_extra $uuid_ldflags"
+ ;;
+ --libs)
+ output="$output -luuid"
+ output_extra="$output_extra $uuid_libs"
+ ;;
+ * )
+ echo "uuid-config:Error: Invalid option" 1>&2
+ echo "uuid-config:Usage: $usage" 1>&2
+ exit 1;
+ ;;
+ esac
+done
+IFS="$OIFS"
+if [ ".$prev" != . ]; then
+ echo "uuid-config:Error: missing argument to --`echo $prev | sed 's/_/-/g'`" 1>&2
+ exit 1
+fi
+if [ ".$output" != . ]; then
+ if [ ".$all" = .yes ]; then
+ output="$output $output_extra"
+ fi
+ echo $output
+fi
+
bgstack15